> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Voicemail Boxes

> List a tenant's voicemail boxes with pagination, search, and sorting



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/voicemail-settings/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/voicemail-settings/:
    get:
      tags:
        - Voicemail Settings
      summary: List Voicemail Boxes
      description: List a tenant's voicemail boxes with pagination, search, and sorting
      parameters:
        - schema:
            default: 1
            type: integer
            minimum: 0
            maximum: 1
          in: query
          name: paginated
          required: false
          description: 1 = paginated response, 0 = full list
        - schema:
            type: number
          in: query
          name: page
          required: false
          description: Page number
        - schema:
            type: number
          in: query
          name: recordsPerPage
          required: false
          description: Records per page
        - schema:
            type: string
            maxLength: 50
          in: query
          name: sortBy
          required: false
          description: Sort column
        - schema:
            type: string
            enum:
              - asc
              - desc
          in: query
          name: sortDirection
          required: false
          description: Sort direction
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: tenantId
          required: true
          description: Tenant ID to list voicemail boxes for
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: query
          name: branchId
          required: false
          description: Branch ID to filter by
        - schema:
            type: string
            maxLength: 255
          in: query
          name: query
          required: false
          description: Search by mailbox name or number
      responses:
        '200':
          description: Paginated voicemail box list
          content:
            application/json:
              schema:
                type: object
                properties:
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        tenantId:
                          anyOf:
                            - type: number
                            - type: 'null'
                        mailbox:
                          anyOf:
                            - type: string
                            - type: 'null'
                        fullName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        context:
                          anyOf:
                            - type: string
                            - type: 'null'
                        branch:
                          description: Owning branch
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: number
                                name:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                              required:
                                - id
                                - name
                              additionalProperties: false
                            - type: 'null'
                        email:
                          anyOf:
                            - type: string
                            - type: 'null'
                        greetings:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              dir:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                              mediaUrl:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            additionalProperties: {}
                      required:
                        - id
                      additionalProperties: {}
                      description: Voicemail box
                  page:
                    type: number
                  maxPage:
                    type: number
                  totalRecords:
                    type: number
                required:
                  - records
                  - page
                  - maxPage
                  - totalRecords
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````